From 14cdadc6f7c7da1ef6dbaac9f2101074b8d8b350 Mon Sep 17 00:00:00 2001
From: David Fetter <david@fetter.org>
Date: Fri, 16 Nov 2018 12:23:54 -0800
Subject: [PATCH] Mention that PUBLICATIONs can't yet be moved
To: pgsql-hackers@postgresql.org

---
 doc/src/sgml/logical-replication.sgml | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 3f2f674a1a..50fa634126 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -406,8 +406,16 @@
      base tables will result in an error.
     </para>
    </listitem>
-  </itemizedlist>
- </sect1>
+
+   <listitem>
+    <para>
+     Changing the origin node for a <literal>PUBLICATION</literal> is not yet
+     possible. This makes logical replication less useful in high availablity
+     and disaster recovery scenarios.
+    </para>
+   </listitem>
+</itemizedlist>
+</sect1>
 
  <sect1 id="logical-replication-architecture">
   <title>Architecture</title>
-- 
2.19.1

